Subject: Re: [Roll] DAO-Projection loop handling

From: Rahul Jadhav <[email-masked]>
Date: Mon, 10 Dec 2018 22:52:56 +0530

Hello Pascal,

<<CCing ROLL herewith>>
@ROLL, This mail discussion is related to loop handling with DAO
projection. There are some design decisions that have to be taken and we
would appreciate any feedback.

Continuing the discussion... Please find my comments inline below.

Regards,
Rahul

On Mon, 10 Dec 2018 at 19:29, Pascal Thubert (pthubert) <[email-masked]>
wrote:

> Hello Rahul
>
>
>
> *From:* Rahul Jadhav <[email-masked]>
> *Sent:* lundi 10 décembre 2018 17:29
> *To:* Pascal Thubert (pthubert) <[email-masked]>; Rahul Arvind Jadhav
> <[email-masked]>
> *Subject:* Re: DAO-Projection loop handling
>
>
>
> Interesting! If we disallow placing the packet back in normal routing,
> then it does solve the loop problem in case of hop-by-hop projected routing.
>
> As you mentioned, RPI can be put to use. Single bit should suffice.
> Anyways this RPI bit is in context to the corresponding RPLInstanceId.
>
> *[PT>] yes. The alternate is to use a separate instance. A packet can be
> placed from the normal instance to the RP one but not the other way around.
> We need to cc the list on a conversation like this. Do you mind?*
>
[RJ]: I didn't understand how can a separate instance be used. Which
message will declare a separate instance? Do you mean the P-DAO will be
sent on a separate instance? Not clear on how these semantics be handled.
The RPLInstanceID in DAO is learned from DIO and cannot be changed (because
it carries corresponding metrics/constraints/OF association).

>   One more doubt i have is in context to proactive clearing of routing
> entries directly on realizing that the target on the projected-path is not
> reachable.
>
> *[PT>] the ‘F’ bit can be used as specified in RFC 6550*
>

>
> The problem here is that there could be two targets with common network
> segment (with hop-by-hop routing) in between and thus proactive cleanup may
> not be possible. What do you think? There are some ways to handle these
> scenarios.
>
> Do you think this warrants a text in the draft?I have this point in my
> todo list.
>
> *[PT>] Yes.*
>

>
> Also do you think i should add text for disallowing the packet back in
> normal routing and corresponding RPI semantics?
>
> *[PT>] Yes, please check the text I already wrote on that matter. Not sure
> I wrote it but I thought so load that maybe it got there!*
>
[RJ] Ok

>
>
> *Take care;*
>
>
>
> *Pascal*
>
>
>
> Regards,
>
> Rahul
>
> p.s. i got a mail rgding draft expiry. so i can target end of this week
> for an update.
>
>
>
>
>
> On Mon, 10 Dec 2018 at 11:59, Pascal Thubert (pthubert) <
> [email-masked]> wrote:
>
> We need to talk Rahul!
>
>
>
> This is important text; I tried to put provisions for loop avoidance
> already by forcing strict hop by hop routes, loose only if the hops are
> separated by strict source routes.
>
>
>
> If the packets can be tagged as following a projected route then we can
> disallow placing the packet back in normal routing and thus avoid loops.
>
> It would be good to move the existing text I had to your session. Then we
> need to decide how to tag the packets placed into projected routes. Maybe
> the last bit in the RPI?
>
>
>
> Pascal
>
>
> Le 7 déc. 2018 à 09:50, Rahul Jadhav <[email-masked]> a écrit :
>
> Hi Pascal,
>
>
>
> I have started adding loop-handling section in the dao-projection draft.
>
>
>
> Please review the PR and would like to get any feedback.
>
> https://github.com/roll-wg/dao-projection/pull/1
>
>
>
> Please note there will be more updates to these sections in next few days.
>
>
>
> Regards,
>
> Rahul
>
>
>
>